Subject: draft-ietf-mmusic-sdp-new-02.txt submitted

From: Colin Perkins <[email-masked]>
Date: Mon, 30 Apr 2001 18:12:42 -0400

I've just submitted draft-ietf-mmusic-sdp-new-02.txt to the internet-drafts
archive, it should appear in a day or so. This is a revision to the basic
SDP spec, the changes include:

 - References updated
 - Section 3.1 replaced with a reference to RFC 2119
 - Use of "application/sdp" as MIME type: SHOULD -> MUST
 - Section 4 now mentions use of SIP and RTSP
 - Section 5.3 now mentions SIP and is less SAP centric
 - Section 6 comments about bandwidth limits rewritten to be less SAP
   specific
 - The section on concatenation of session descriptions (not allowed in
   SAP, allowed in other cases) has been removed. Assume transports of SDP
   specify this?
 - Section 6 has MUST, SHOULD, etc. Please comment.
 - c= talked about how "typically the address is a class D multicast
   address". Made less Mbone specific, to reflect common use of SDP.
 - b= no longer makes a normative reference to the Mbone FAQ for bandwidth
   limits at various TTLs :)
 - m= define relation to MIME types

Still to do:
 - Merge draft-olson-sdp-ipv6-00.txt 
 - Bug fixes to the grammar
 - e= and p= and mandatory, should they be?
 - Clarify relation between b= and RTP session bandwidth
 - What about wrap-around of NTP timestamps in t=?
 - Discussion in t= seems too focussed on SAP
 - Which suggested attributes are mandatory to support, which are optional?
 - Appendix B needs reconciling with MIME types
 - How do m= media types relate to MIME top-levels?

Comments and suggestions are welcome... this is work in progress.

Cheers,
Colin